Bug 177961 - Update port science/veusz to 1.17.1
Summary: Update port science/veusz to 1.17.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-18 17:10 UTC by devel
Modified: 2013-06-19 15:00 UTC (History)
0 users

See Also:


Attachments
file.diff (11.79 KB, patch)
2013-04-18 17:10 UTC, devel
no flags Details | Diff
veusz_1.17.1_p.txt (12.17 KB, text/plain; charset=windows-1251)
2013-04-29 16:46 UTC, devel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description devel 2013-04-18 17:10:00 UTC

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-04-18 17:17:18 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-04-18 17:17:19 UTC
Maintainer of science/veusz,

Please note that PR ports/177961 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177961

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-04-18 17:17:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 R.Mahmatkhanov 2013-04-18 17:31:08 UTC
Hello Stas,

please see the comments below:

>   BUILD_DEPENDS=	${PYNUMPY} \
> -		${PYTHON_SITELIBDIR}/PyQt4/QtGui.so:${PORTSDIR}/x11-toolkits/py-qt4-gui
> +		${PYTHON_SITELIBDIR}/PyQt4/QtGui.so:${PORTSDIR}/x11-toolkits/py-qt4-gui \

Please convert PYTHON_SITELIBDIR to PYTHON_PKGNAMEPREFIX too as you do 
for py-qt4-svg.

> +		${PYTHON_PKGNAMEPREFIX}/qt4-svg:${PORTSDIR}/graphics/py-qt4-svg

This line has wrong format and it will try to install py-qt4-svg even if 
it's already installed. The correct format is following:

${PYTHON_PKGNAMEPREFIX}qt4-svg>0:${PORTSDIR}/graphics/py-qt4-svg

What should be in left side is the actual port name but with no 
hardcoded python version, so slash should not be used here. And there 
also should be version evaluation (>0 if specific version isn't 
important) to not introduce build breakage that I mention above.

>   RUN_DEPENDS:=	${BUILD_DEPENDS}

Are you sure that this dependencies are actually needed on build stage? 
In most cases they aren't, would you please check? And if they are not 
needed for build, just move them in RUN_DEPENDS and drop BUILD_DEPENDS 
completely.

>   USE_PYTHON=	2.5+

After python24 and python25 removal we tend to set this value to ``yes'' 
(if port support both python2 and python3) or to -2.7 (this is an 
equivalent of python2.x only). Would you please check if your port 
supports python3 and correct that line accordingly.

Please update your patch and sent it as an follow-up to this pr. Thank 
you for your time.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 5 devel 2013-04-29 16:46:34 UTC
> Please convert PYTHON_SITELIBDIR to PYTHON_PKGNAMEPREFIX too as you do
> for py-qt4-svg.
Done.

> RUN_DEPENDS:= ${BUILD_DEPENDS}
This is required indeed.

> Would you please check if your port
> supports python3 and correct that line accordingly.
math/numpy required python 2.7, so building of science/veusz will be  
started with ptyhon 2.7 anyway.
USE_PYTHON=yes will be enough.

New patch in attachement.
Comment 6 Max Brazhnikov freebsd_committer 2013-06-10 23:56:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

y
Comment 7 dfilter service freebsd_committer 2013-06-19 14:53:21 UTC
Author: makc
Date: Wed Jun 19 13:53:12 2013
New Revision: 321251
URL: http://svnweb.freebsd.org/changeset/ports/321251

Log:
  - Update to 1.17.1
  - Trim Makefile header
  
  PR:		ports/177961
  Submitted by:	Stas Timokhin (maintainer)

Modified:
  head/science/veusz/Makefile
  head/science/veusz/distinfo   (contents, props changed)
  head/science/veusz/pkg-plist   (contents, props changed)

Modified: head/science/veusz/Makefile
==============================================================================
--- head/science/veusz/Makefile	Wed Jun 19 13:39:44 2013	(r321250)
+++ head/science/veusz/Makefile	Wed Jun 19 13:53:12 2013	(r321251)
@@ -1,13 +1,8 @@
-# New ports collection makefile for: science/veusz
-# Date created:		04 Jan 2011
-# Whom:			Stas Timokhin <devel@stasyan.com>
-#
+# Created by: Stas Timokhin <devel@stasyan.com>
 # $FreeBSD$
-#
 
 PORTNAME=	veusz
-PORTVERSION=	1.12
-PORTREVISION=	3
+PORTVERSION=	1.17.1
 CATEGORIES=	science kde
 MASTER_SITES=	http://download.gna.org/veusz/
 
@@ -16,11 +11,12 @@ COMMENT=	Scientific plotting package
 
 LICENSE=	GPLv2
 
-BUILD_DEPENDS=	${PYNUMPY} \
-		${PYTHON_SITELIBDIR}/PyQt4/QtGui.so:${PORTSDIR}/x11-toolkits/py-qt4-gui
-RUN_DEPENDS:=	${BUILD_DEPENDS}
+RUN_DEPENDS=	${PYNUMPY} \
+		${PYTHON_PKGNAMEPREFIX}qt4-gui>=0:${PORTSDIR}/x11-toolkits/py-qt4-gui \
+		${PYTHON_PKGNAMEPREFIX}qt4-svg>0:${PORTSDIR}/graphics/py-qt4-svg
+BUILD_DEPENDS=	${RUN_DEPENDS}
 
-USE_PYTHON=	2.5+
+USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 INSTALLS_EGGINFO=	yes
 

Modified: head/science/veusz/distinfo
==============================================================================
--- head/science/veusz/distinfo	Wed Jun 19 13:39:44 2013	(r321250)
+++ head/science/veusz/distinfo	Wed Jun 19 13:53:12 2013	(r321251)
@@ -1,2 +1,2 @@
-SHA256 (veusz-1.12.tar.gz) = 17898d82cd58cfb7c570424a71d9c261f27c204442a19c628172a09ed9624569
-SIZE (veusz-1.12.tar.gz) = 1580842
+SHA256 (veusz-1.17.1.tar.gz) = 81511fc9deebb8f786a667b4a9d849348e8685d767cf823f8291b625c113afd0
+SIZE (veusz-1.17.1.tar.gz) = 1718565

Modified: head/science/veusz/pkg-plist
==============================================================================
--- head/science/veusz/pkg-plist	Wed Jun 19 13:39:44 2013	(r321250)
+++ head/science/veusz/pkg-plist	Wed Jun 19 13:53:12 2013	(r321251)
@@ -97,18 +97,33 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/document/datasets.py
 %%PYTHON_SITELIBDIR%%/veusz/document/datasets.pyc
 %%PYTHON_SITELIBDIR%%/veusz/document/datasets.pyo
+%%PYTHON_SITELIBDIR%%/veusz/document/dbusinterface.py
+%%PYTHON_SITELIBDIR%%/veusz/document/dbusinterface.pyc
+%%PYTHON_SITELIBDIR%%/veusz/document/dbusinterface.pyo
 %%PYTHON_SITELIBDIR%%/veusz/document/doc.py
 %%PYTHON_SITELIBDIR%%/veusz/document/doc.pyc
 %%PYTHON_SITELIBDIR%%/veusz/document/doc.pyo
 %%PYTHON_SITELIBDIR%%/veusz/document/emf_export.py
 %%PYTHON_SITELIBDIR%%/veusz/document/emf_export.pyc
 %%PYTHON_SITELIBDIR%%/veusz/document/emf_export.pyo
+%%PYTHON_SITELIBDIR%%/veusz/document/export.py
+%%PYTHON_SITELIBDIR%%/veusz/document/export.pyc
+%%PYTHON_SITELIBDIR%%/veusz/document/export.pyo
+%%PYTHON_SITELIBDIR%%/veusz/document/importparams.py
+%%PYTHON_SITELIBDIR%%/veusz/document/importparams.pyc
+%%PYTHON_SITELIBDIR%%/veusz/document/importparams.pyo
+%%PYTHON_SITELIBDIR%%/veusz/document/linked.py
+%%PYTHON_SITELIBDIR%%/veusz/document/linked.pyc
+%%PYTHON_SITELIBDIR%%/veusz/document/linked.pyo
 %%PYTHON_SITELIBDIR%%/veusz/document/mime.py
 %%PYTHON_SITELIBDIR%%/veusz/document/mime.pyc
 %%PYTHON_SITELIBDIR%%/veusz/document/mime.pyo
 %%PYTHON_SITELIBDIR%%/veusz/document/operations.py
 %%PYTHON_SITELIBDIR%%/veusz/document/operations.pyc
 %%PYTHON_SITELIBDIR%%/veusz/document/operations.pyo
+%%PYTHON_SITELIBDIR%%/veusz/document/painthelper.py
+%%PYTHON_SITELIBDIR%%/veusz/document/painthelper.pyc
+%%PYTHON_SITELIBDIR%%/veusz/document/painthelper.pyo
 %%PYTHON_SITELIBDIR%%/veusz/document/readcsv.py
 %%PYTHON_SITELIBDIR%%/veusz/document/readcsv.pyc
 %%PYTHON_SITELIBDIR%%/veusz/document/readcsv.pyo
@@ -130,11 +145,55 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/embed_remote.py
 %%PYTHON_SITELIBDIR%%/veusz/embed_remote.pyc
 %%PYTHON_SITELIBDIR%%/veusz/embed_remote.pyo
+%%PYTHON_SITELIBDIR%%/veusz/examples/bar_labels.dat
+%%PYTHON_SITELIBDIR%%/veusz/examples/bar_labels.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/bar_options.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/barplots.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/boxplot.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/broken_axis.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/coloredpoints.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/contour.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/dataset_operations.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/datebar.dat
+%%PYTHON_SITELIBDIR%%/veusz/examples/datebar.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/embedexample.py
+%%PYTHON_SITELIBDIR%%/veusz/examples/example_csv.csv
+%%PYTHON_SITELIBDIR%%/veusz/examples/example_csv.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/example_import.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/example_import_1.dat
+%%PYTHON_SITELIBDIR%%/veusz/examples/example_import_2.dat
+%%PYTHON_SITELIBDIR%%/veusz/examples/fit.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/functions.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/hatching.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/histo.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/inside.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/isolatedaxes.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/labels.dat
+%%PYTHON_SITELIBDIR%%/veusz/examples/labels.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/linked_datasets.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/mandelbrot.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/markerspolygon.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/mathml.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/multiaxes.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/multixy.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/polar.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/profile.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/shapes.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/sin.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/sin_byhand.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/spectrum.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/stackedxy.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/starchart.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/ternary.vsz
+%%PYTHON_SITELIBDIR%%/veusz/examples/tutorialdata.csv
+%%PYTHON_SITELIBDIR%%/veusz/examples/vectorfield.vsz
 %%PYTHON_SITELIBDIR%%/veusz/helpers/__init__.py
 %%PYTHON_SITELIBDIR%%/veusz/helpers/__init__.pyc
 %%PYTHON_SITELIBDIR%%/veusz/helpers/__init__.pyo
 %%PYTHON_SITELIBDIR%%/veusz/helpers/_nc_cntr.so
 %%PYTHON_SITELIBDIR%%/veusz/helpers/qtloops.so
+%%PYTHON_SITELIBDIR%%/veusz/helpers/qtmml.so
+%%PYTHON_SITELIBDIR%%/veusz/helpers/recordpaint.so
 %%PYTHON_SITELIBDIR%%/veusz/plugins/__init__.py
 %%PYTHON_SITELIBDIR%%/veusz/plugins/__init__.pyc
 %%PYTHON_SITELIBDIR%%/veusz/plugins/__init__.pyo
@@ -150,6 +209,9 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/plugins/toolsplugin.py
 %%PYTHON_SITELIBDIR%%/veusz/plugins/toolsplugin.pyc
 %%PYTHON_SITELIBDIR%%/veusz/plugins/toolsplugin.pyo
+%%PYTHON_SITELIBDIR%%/veusz/plugins/votable.py
+%%PYTHON_SITELIBDIR%%/veusz/plugins/votable.pyc
+%%PYTHON_SITELIBDIR%%/veusz/plugins/votable.pyo
 %%PYTHON_SITELIBDIR%%/veusz/pyqtdistutils.py
 %%PYTHON_SITELIBDIR%%/veusz/pyqtdistutils.pyc
 %%PYTHON_SITELIBDIR%%/veusz/pyqtdistutils.pyo
@@ -213,9 +275,15 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/utils/action.py
 %%PYTHON_SITELIBDIR%%/veusz/utils/action.pyc
 %%PYTHON_SITELIBDIR%%/veusz/utils/action.pyo
+%%PYTHON_SITELIBDIR%%/veusz/utils/colormap.py
+%%PYTHON_SITELIBDIR%%/veusz/utils/colormap.pyc
+%%PYTHON_SITELIBDIR%%/veusz/utils/colormap.pyo
 %%PYTHON_SITELIBDIR%%/veusz/utils/dates.py
 %%PYTHON_SITELIBDIR%%/veusz/utils/dates.pyc
 %%PYTHON_SITELIBDIR%%/veusz/utils/dates.pyo
+%%PYTHON_SITELIBDIR%%/veusz/utils/extbrushfilling.py
+%%PYTHON_SITELIBDIR%%/veusz/utils/extbrushfilling.pyc
+%%PYTHON_SITELIBDIR%%/veusz/utils/extbrushfilling.pyo
 %%PYTHON_SITELIBDIR%%/veusz/utils/fitlm.py
 %%PYTHON_SITELIBDIR%%/veusz/utils/fitlm.pyc
 %%PYTHON_SITELIBDIR%%/veusz/utils/fitlm.pyo
@@ -246,6 +314,12 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/utils/version.py
 %%PYTHON_SITELIBDIR%%/veusz/utils/version.pyc
 %%PYTHON_SITELIBDIR%%/veusz/utils/version.pyo
+%%PYTHON_SITELIBDIR%%/veusz/utils/vzdbus.py
+%%PYTHON_SITELIBDIR%%/veusz/utils/vzdbus.pyc
+%%PYTHON_SITELIBDIR%%/veusz/utils/vzdbus.pyo
+%%PYTHON_SITELIBDIR%%/veusz/utils/vzsamp.py
+%%PYTHON_SITELIBDIR%%/veusz/utils/vzsamp.pyc
+%%PYTHON_SITELIBDIR%%/veusz/utils/vzsamp.pyo
 %%PYTHON_SITELIBDIR%%/veusz/veusz_listen.py
 %%PYTHON_SITELIBDIR%%/veusz/veusz_listen.pyc
 %%PYTHON_SITELIBDIR%%/veusz/veusz_listen.pyo
@@ -258,6 +332,9 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/widgets/axis.py
 %%PYTHON_SITELIBDIR%%/veusz/widgets/axis.pyc
 %%PYTHON_SITELIBDIR%%/veusz/widgets/axis.pyo
+%%PYTHON_SITELIBDIR%%/veusz/widgets/axisbroken.py
+%%PYTHON_SITELIBDIR%%/veusz/widgets/axisbroken.pyc
+%%PYTHON_SITELIBDIR%%/veusz/widgets/axisbroken.pyo
 %%PYTHON_SITELIBDIR%%/veusz/widgets/axisticks.py
 %%PYTHON_SITELIBDIR%%/veusz/widgets/axisticks.pyc
 %%PYTHON_SITELIBDIR%%/veusz/widgets/axisticks.pyo
@@ -276,7 +353,6 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/widgets/controlgraph.py
 %%PYTHON_SITELIBDIR%%/veusz/widgets/controlgraph.pyc
 %%PYTHON_SITELIBDIR%%/veusz/widgets/controlgraph.pyo
-%%PYTHON_SITELIBDIR%%/veusz/widgets/data/colormaps.dat
 %%PYTHON_SITELIBDIR%%/veusz/widgets/fit.py
 %%PYTHON_SITELIBDIR%%/veusz/widgets/fit.pyc
 %%PYTHON_SITELIBDIR%%/veusz/widgets/fit.pyo
@@ -331,6 +407,9 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/widgets/shape.py
 %%PYTHON_SITELIBDIR%%/veusz/widgets/shape.pyc
 %%PYTHON_SITELIBDIR%%/veusz/widgets/shape.pyo
+%%PYTHON_SITELIBDIR%%/veusz/widgets/ternary.py
+%%PYTHON_SITELIBDIR%%/veusz/widgets/ternary.pyc
+%%PYTHON_SITELIBDIR%%/veusz/widgets/ternary.pyo
 %%PYTHON_SITELIBDIR%%/veusz/widgets/textlabel.py
 %%PYTHON_SITELIBDIR%%/veusz/widgets/textlabel.pyc
 %%PYTHON_SITELIBDIR%%/veusz/widgets/textlabel.pyo
@@ -349,6 +428,7 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/windows/datanavigator.py
 %%PYTHON_SITELIBDIR%%/veusz/windows/datanavigator.pyc
 %%PYTHON_SITELIBDIR%%/veusz/windows/datanavigator.pyo
+%%PYTHON_SITELIBDIR%%/veusz/windows/icons/button_axis-broken.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/button_axis.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/button_bar.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/button_boxplot.svg
@@ -370,6 +450,7 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/button_polar.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/button_polygon.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/button_rect.svg
+%%PYTHON_SITELIBDIR%%/veusz/windows/icons/button_ternary.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/button_vectorfield.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/button_xy.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/downarrow.png
@@ -383,6 +464,7 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/error_boxfill.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/error_curve.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/error_diamond.svg
+%%PYTHON_SITELIBDIR%%/veusz/windows/icons/error_diamondfill.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/error_fillhorz.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/error_fillvert.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/error_linehorz.svg
@@ -391,6 +473,7 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/error_linevertbar.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/error_none.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/kde-application-exit.svg
+%%PYTHON_SITELIBDIR%%/veusz/windows/icons/kde-clipboard.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/kde-dataset-new-veuszedit.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/kde-dataset2d-new-veuszedit.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/kde-document-export.svg
@@ -454,6 +537,7 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/veusz-edit-prefs.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/veusz-pick-data.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/veusz-shape-menu.svg
+%%PYTHON_SITELIBDIR%%/veusz/windows/icons/veusz-view-fullscreen.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/veusz-zoom-graph.svg
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/veusz.png
 %%PYTHON_SITELIBDIR%%/veusz/windows/icons/veusz.svg
@@ -474,18 +558,21 @@ bin/veusz_listen
 %%PYTHON_SITELIBDIR%%/veusz/windows/treeeditwindow.py
 %%PYTHON_SITELIBDIR%%/veusz/windows/treeeditwindow.pyc
 %%PYTHON_SITELIBDIR%%/veusz/windows/treeeditwindow.pyo
+%%PYTHON_SITELIBDIR%%/veusz/windows/tutorial.py
+%%PYTHON_SITELIBDIR%%/veusz/windows/tutorial.pyc
+%%PYTHON_SITELIBDIR%%/veusz/windows/tutorial.pyo
 %%PYTHON_SITELIBDIR%%/veusz/windows/widgettree.py
 %%PYTHON_SITELIBDIR%%/veusz/windows/widgettree.pyc
 %%PYTHON_SITELIBDIR%%/veusz/windows/widgettree.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/veusz/windows/icons
 @dirrm %%PYTHON_SITELIBDIR%%/veusz/windows
-@dirrm %%PYTHON_SITELIBDIR%%/veusz/widgets/data
 @dirrm %%PYTHON_SITELIBDIR%%/veusz/widgets
 @dirrm %%PYTHON_SITELIBDIR%%/veusz/utils
 @dirrm %%PYTHON_SITELIBDIR%%/veusz/setting
 @dirrm %%PYTHON_SITELIBDIR%%/veusz/qtwidgets
 @dirrm %%PYTHON_SITELIBDIR%%/veusz/plugins
 @dirrm %%PYTHON_SITELIBDIR%%/veusz/helpers
+@dirrm %%PYTHON_SITELIBDIR%%/veusz/examples
 @dirrm %%PYTHON_SITELIBDIR%%/veusz/document
 @dirrm %%PYTHON_SITELIBDIR%%/veusz/dialogs
 @dirrm %%PYTHON_SITELIBDIR%%/veusz
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Max Brazhnikov freebsd_committer 2013-06-19 14:53:31 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!